pidgin: version.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Macros | Functions | Variables
version.h File Reference

Purple Versioning. More...

Go to the source code of this file.

## Macros
#define | PURPLE_MAJOR_VERSION (2)
| The major version of the running libpurple.
#define | PURPLE_MINOR_VERSION (14)
| The minor version of the running libpurple.
#define | PURPLE_MICRO_VERSION (4)
| The micro version of the running libpurple.
#define | PURPLE_VERSION_CHECK(x, y, z)

## Functions
const char * | purple_version_check (guint required_major, guint required_minor, guint required_micro)
| Checks that the libpurple version is compatible with the requested version.

## Variables
const guint | purple_major_version
| The major version of the running libpurple.
const guint | purple_minor_version
| The minor version of the running libpurple.
const guint | purple_micro_version
| The micro version of the running libpurple.

## Detailed Description

Purple Versioning.

purple

Purple is the legal property of its developers, whose names are too numerous to list here. Please refer to the COPYRIGHT file distributed with this source distribution.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1301 USA

Definition in file version.h.

## Macro Definition Documentation

## ◆ PURPLE_MAJOR_VERSION

#define PURPLE_MAJOR_VERSION (2)

The major version of the running libpurple.

Definition at line 28 of file version.h.

## ◆ PURPLE_MICRO_VERSION

#define PURPLE_MICRO_VERSION (4)

The micro version of the running libpurple.

Definition at line 32 of file version.h.

## ◆ PURPLE_MINOR_VERSION

#define PURPLE_MINOR_VERSION (14)

The minor version of the running libpurple.

Definition at line 30 of file version.h.

## ◆ PURPLE_VERSION_CHECK

#define PURPLE_VERSION_CHECK | ( |  | x,
|  |  | y,
|  |  | z
| ) |  |

Value:
((x) == PURPLE_MAJOR_VERSION && \
((y) < PURPLE_MINOR_VERSION || \
((y) == PURPLE_MINOR_VERSION && (z) <= PURPLE_MICRO_VERSION)))
PURPLE_MAJOR_VERSION
#define PURPLE_MAJOR_VERSION
The major version of the running libpurple.
Definition: version.h:28
PURPLE_MICRO_VERSION
#define PURPLE_MICRO_VERSION
The micro version of the running libpurple.
Definition: version.h:32
PURPLE_MINOR_VERSION
#define PURPLE_MINOR_VERSION
The minor version of the running libpurple.
Definition: version.h:30

Definition at line 34 of file version.h.

## Function Documentation

## ◆ purple_version_check()

const char * purple_version_check | ( | guint | required_major,
|  | guint | required_minor,
|  | guint | required_micro
| ) |  |

Checks that the libpurple version is compatible with the requested version.

Parameters

  required_major | the required major version.
  required_minor | the required minor version.
  required_micro | the required micro version.

Returns
  NULL if the versions are compatible, or a string describing the version mismatch if not compatible.

## Variable Documentation

## ◆ purple_major_version

const guint purple_major_version
| extern

The major version of the running libpurple.

Contrast with PURPLE_MAJOR_VERSION, which expands at compile time to the major version of libpurple being compiled against.

Since
  2.4.0

## ◆ purple_micro_version

const guint purple_micro_version
| extern

The micro version of the running libpurple.

Contrast with PURPLE_MICRO_VERSION, which expands at compile time to the micro version of libpurple being compiled against.

Since
  2.4.0

## ◆ purple_minor_version

const guint purple_minor_version
| extern

The minor version of the running libpurple.

Contrast with PURPLE_MINOR_VERSION, which expands at compile time to the minor version of libpurple being compiled against.

Since
  2.4.0